	nolist
;
;********************************************************************
;*
;*	pic16cxx macro definition module
;*
;********************************************************************
;

jpz	macro	entry		;jump if zero
	btfsc	STATUS,Z
	goto	entry
	endm
;
jpnz	macro	entry		;jump if not zero 
	btfss	STATUS,Z
	goto	entry
	endm
;
jpc	macro	entry		;jump if carry set
	btfsc	STATUS,C
	goto	entry
	endm
;
jpnc	macro	entry		;jump if carry clear
	btfss	STATUS,C
	goto	entry
	endm
;
jpb	macro	entry		;jump if borrow set
	btfss	STATUS,C
	goto	entry
	endm
;
jpnb	macro	entry		;jump if borrow clear
	btfsc	STATUS,C
	goto	entry
	endm
;
djnz	macro	freg,entry	;decrement jump if not zero 
	decfsz	freg,f		;freg decrement
	goto	entry
	endm
;
cp	macro	freg,data	;compare freg with data
	movlw	data
	subwf	freg,w
	endm
;
cpw	macro	freg		;compare freg with wreg
	subwf	freg,w
	endm
;
rbank0  macro                   ;register bank 0 select
        bcf     STATUS,5
        bcf     STATUS,6
        endm
;
rbank1  macro                   ;register bank 1 select
        bsf     STATUS,5
        bcf     STATUS,6
        endm
;
rbank2  macro                   ;register bank 2 select
        bcf     STATUS,5
        bsf     STATUS,6
        endm
;
rbank3  macro                   ;register bank 3 select
        bsf     STATUS,5
        bsf     STATUS,6
        endm
;
di	macro			;disable interrupt
	bcf	INTCON,7
	endm
;
ei	macro			;enable interrupt
	bsf	INTCON,7
	endm
;
setpch	macro
	if	($ >= 0) && ($ < 0x800)
	bcf	PCLATH,3
	bcf	PCLATH,4
	else
	if	($ >= 0x800) && ($ < 0x1000)
	bsf	PCLATH,3
	bcf	PCLATH,4
        else
	if	($ >= 0x1000) && ($ < 0x1800)
	bcf	PCLATH,3
	bsf	PCLATH,4
	else
	bsf	PCLATH,3
	bsf	PCLATH,4
	endif
	endif
	endif
	endm
;
	list
